2019-10-16 00:41 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001677FSSCPFREDpublic2010-05-19 08:23
ReporterTolwyn 
Assigned Tokarajorma 
PrioritynormalSeverityblockReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.6.11 
Summary0001677: "toggle subsystem scanning" does not work
DescriptionIt is pretty straight forward: enabling "scannable" and "toggle subsystem scanning" yields no effect with latest trunk builds. Since the mission worked perfectly with earlier builds (like taylors XT 1023), I am under the impression, that the sexp is broken.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0009272

Goober5000 (administrator)

In order to scan something you need to deselect the "cargo known" flag.

Assuming you did this, the latest trunk build works for me.

~0009276

Tolwyn (reporter)

cargo known is not selected. Otherwise the mission would not have worked previously.

~0009285

Tolwyn (reporter)

Something is different in how EXE handles subsystems now. Previously I did not have to select a subsystem to scan a ship, now I have.

One subsystem has no "cargo: XXX" tab. In case of the light cruiser it is "navigations". (Maybe it's always been like that, I do not know.)

~0009287

Goober5000 (administrator)

What exactly are you trying to do? Scan a larger ship with a single scan, or scan a subsystem on a smaller ship?

~0009297

Tolwyn (reporter)

well, as you perfectly know, it is not possible to scan a large capital ship unless "toggle subsystem scanning" is turned on.

For the time being I created a duplicate entry and labeled the ship as freighter instead of cruiser.

~0009298

Goober5000 (administrator)

Don't do that, it's a recipe for disaster.

Tell me what mission is going wrong and I'll take a look.

~0009299

Tolwyn (reporter)

it's m20... and it worked before.

Actually you could just place a cap ship in FRED, mark necessary flags and try to scan it...

The problematic part is, that previously I did not have to select a subsystem to scan a warship - all I had to do was to point the reticle to a certain point in the center of the hull.

~0009300

Wanderer (developer)

Subsystem scanning is tad odd anyway... For example scanning rakshasa's front beam turret. I need to be within the 'scanning distance' of the targeted subsystem while i must point ships nose at the ships center point regardless of the subsystems position. So for example in the case example above if i am between the from beam position and the ships center point i need to point the ships nose to opposite direction from the subsystem that is being scanned.

~0009312

Goober5000 (administrator)

"Actually you could just place a cap ship in FRED, mark necessary flags and try to scan it..."

I already did that, and it worked perfectly. If it had revealed the cause of the bug I would not be asking you for additional information. This is the procedure I always follow when debugging problems: test the simplest possible thing that could cause the bug, and then gradually test more complicated things.

Anyway I tested m20 and the scanning worked perfectly. There was the subsystem distance problem that Wanderer mentioned, but if I did not have a subsystem targeted I could point the reticle at the center of the ship and scan just as expected.

Here is the build I used so you can compare the behavior:
http://fs2source.warpcore.org/exes/latest/20080509-Goober5000.zip

By the way, in m20, there are two variables called "AutoNavTime" which may cause unrelated problems. Edit the mission using Notepad and remove one of them.

~0009316

Tolwyn (reporter)

In m20 the ship is currently labeled "freighter" so scanning would work. I tested subsystem scanning with a few models in a sample mission... didn't work as expected for me.

~0010759

KeldorKatarn (reporter)

Any news on this?

~0010766

chief1983 (administrator)

Anyone have a retail test mission where this happens? As Goob was never able to reproduce this on his end it would probably help speed things along.

~0010769

KeldorKatarn (reporter)

I just checked this.. the scanning seems to work now.. however...

cap-subsys-cargo-known-delay

seems to be broken. I cannot select any ships in that SEXP... it always shows me an empty ships list, althought there are ships with "scannable" and "toggle subsystem scanning" around which I can scan ingame..

something is wrong with that SEXP...

~0010839

karajorma (administrator)

Fixed in my branch

~0011977

Goober5000 (administrator)

Is it fixed in trunk too?

~0011988

karajorma (administrator)

IIRC yes. I doubt I would have resolved it a month later unless I had fixed it properly.
+Notes

-Issue History
Date Modified Username Field Change
2008-04-28 08:52 Tolwyn New Issue
2008-04-30 02:34 Goober5000 Status new => assigned
2008-04-30 02:34 Goober5000 Assigned To => Goober5000
2008-04-30 02:42 Goober5000 Note Added: 0009272
2008-04-30 06:35 Tolwyn Note Added: 0009276
2008-05-03 12:36 Tolwyn Note Added: 0009285
2008-05-03 17:07 Goober5000 Note Added: 0009287
2008-05-04 16:51 Tolwyn Note Added: 0009297
2008-05-04 18:52 Goober5000 Note Added: 0009298
2008-05-04 19:07 Tolwyn Note Added: 0009299
2008-05-05 08:23 Wanderer Note Added: 0009300
2008-05-09 05:32 Goober5000 Note Added: 0009312
2008-05-09 05:57 Tolwyn Note Added: 0009316
2009-03-23 18:48 KeldorKatarn Note Added: 0010759
2009-03-25 11:51 chief1983 Note Added: 0010766
2009-03-25 15:02 KeldorKatarn Note Added: 0010769
2009-04-24 12:38 karajorma Assigned To Goober5000 => karajorma
2009-04-24 12:39 karajorma Note Added: 0010839
2009-05-17 08:32 karajorma Status assigned => resolved
2009-05-17 08:32 karajorma Fixed in Version => 3.6.11
2009-05-17 08:32 karajorma Resolution open => fixed
2010-05-19 01:09 Goober5000 Note Added: 0011977
2010-05-19 08:23 karajorma Note Added: 0011988
+Issue History